Subject: bug#3071: 23.0.92; accept-process-output broken on MacOS

From: Michael Albinus <[email-masked]>
Date: Tue, 21 Apr 2009 21:29:59 +0200

David Abrahams <[email-masked]> writes:

> Opening remote files/directories via TRAMP is wicked slow on MacOS; the
> same operation on a linux emacs running on the same hardware is
> practically instantaneous.  Turns out that applying the enclosed patch
> makes the symptom go away.  I'm not an expert on emacs process handling,
> but that tells me emacs probably isn't detecting output from the process
> until the timeout (usually 1 second for TRAMP) is reached.

Reading <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=895>
indicates, one shall set `process-connection-type' to `nil'. This is
also documented in Bugs 2056, 2503, 2639, 2717.

OTOH, the comment for `tramp-process-connection-type' says that it's not
applicable for Tramp.

Hmm. What happens, when you set `tramp-process-connection-type' to `nil'?
Does Tramp still work on your mac? How fast?

Best regards, Michael.